<?xml version="1.0" encoding="KOI8-R" standalone="yes"?>
<Rubetek id="CAN-Eth_v1.03">
    <Format encoding="KOI8-R">
	<!-- Настройки сети -->
	<struct name="eth">
	    <ip name="host" />
	    <ip name="mask" />
	    <ip name="router" />
	    
	    <string name="ident" size="16" />
	    
	    <string name="name" size="16" />
	</struct>
	
	<!-- Настройки CAN -->
	<struct name="can">
            <byte name="addr" min="0" max="249" />
            <byte name="visible" select="Отключена|Включена" />
            <pad size="2" />
            <string name="name" size="16" />
            <byte name="groups[16]" select="Отключена|Включена" />
	</struct>
    </Format>
    
    <Tree name="Мост CAN/Ethernet">
	<Desc>
	    Мост CAN/Ethernet для пожарной сигнализации.<br/>
	</Desc>
	
	
	<Group name="Сеть Ethernet">
	    <Var var="eth.host" name="IP-адрес" />
	    <Var var="eth.mask" name="Маска сети" />
	    <Var var="eth.router" name="Шлюз" />
	    <Var var="eth.ident" name="Идентификатор виртуальной сети" />
	    <Var var="eth.name" name="Название сети" />
	</Group>
	
	<Group name="Сеть CAN">
	    <Var var="can.addr" name="Адрес в сети CAN" />
	    <Var var="can.visible" name="Видимость для ППК" />
	    <Var var="can.name" name="Название для ППК" visible="can.visible=1" />
	    
	    <Group name="Группы">
		<Var var="can.groups[0]" name="Группа 0" />
		<Var var="can.groups[1]" name="Группа 1" />
		<Var var="can.groups[2]" name="Группа 2" />
		<Var var="can.groups[3]" name="Группа 3" />
		<Var var="can.groups[4]" name="Группа 4" />
		<Var var="can.groups[5]" name="Группа 5" />
		<Var var="can.groups[6]" name="Группа 6" />
		<Var var="can.groups[7]" name="Группа 7" />
		<Var var="can.groups[8]" name="Группа 8" />
		<Var var="can.groups[9]" name="Группа 9" />
		<Var var="can.groups[10]" name="Группа 10" />
		<Var var="can.groups[11]" name="Группа 11" />
		<Var var="can.groups[12]" name="Группа 12" />
		<Var var="can.groups[13]" name="Группа 13" />
		<Var var="can.groups[14]" name="Группа 14" />
		<Var var="can.groups[15]" name="Группа 15" />
	    </Group>
	</Group>
    </Tree>
</Rubetek>
